List files attached to an object
GET
/objects/{id}/filesAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredResponses
200
Array of
ObjectFileResponseDtocategoryobject | nullrequiredShow propertiesHide properties
idstringrequirednamestringrequiredcreatedAtstringrequireddescriptionobject | nullrequiredfileobjectrequiredidstringrequiredObjectFile join row id (use for DELETE)
uploadedBystringrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/objects/string/files" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/objects/string/files", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/objects/string/files",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
[
{
"category": {
"id": "string",
"name": "string"
},
"createdAt": "string",
"description": {},
"file": {},
"id": "string",
"uploadedBy": "string"
}
]Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions